/*
    Standard Footer v1.0 | 23.08.2022
    "footer.css"
    by Valentin Müller

    Stylable Elements:
        
        Explicit:

            .about
            .links
            .contact
            .copyright
    
    Needed Files:
        "standard-values.css"
        "reset.css"
*/

@import 'standard-values.css';

footer:has(.flex-wrapper) {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: var(--c-accent-color);
    color: var(--c-primary-color);
    padding: 2rem 16rem;
    align-items: center;
}

footer a {
    color: var(--c-primary-color);
    text-decoration: none;
}

@media screen and (max-width: 800px) {
    footer:has(.flex-wrapper) {
        padding: 2rem 2rem;
        flex-direction: column-reverse;
        gap: 1rem;
    }

    footer .flex-wrapper {
        flex-direction: row;
        font-size: 1rem;
        flex-wrap: wrap;
    }

    footer .logo {
        height: 1rem;
    }
}

/* footer a::after {
    content: "";
    display: block;
    width: 0%;
    height: 2px;
    background-color: var(--c-primary-color);
    transition: all 0.3s ease;
}

footer a:hover::after {
    width: 100%;
}

footer a:focus::after {
    width: 0%;
} */